Commit 3c486e22 authored by jonnybradley's avatar jonnybradley

[FIX] check: Add json extension as a requirement (thanks Gezza)

parent 30dc048b
......@@ -936,6 +936,21 @@ if ($s) {
);
}
$s = extension_loaded('json');
if ($s) {
$php_properties['json'] = array(
'fitness' => tra('good'),
'setting' => 'Loaded',
'message' => tra('This extension is required for many features in Tiki.')
);
} else {
$php_properties['json'] = array(
'fitness' => tra('bad'),
'setting' => 'Not available',
'message' => tra('This extension is required for many features in Tiki.')
);
}
/*
* If TortoiseSVN 1.7 is used, it uses an sqlite database to store the SVN info. sqlite3 extention needed to read svn info.
*/
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment